Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FictionBook2InlineImageContext Class Reference

`#include <FictionBook2TextContext.h>`

Inheritance diagram for libebook::FictionBook2InlineImageContext:

## Public Member Functions
| FictionBook2InlineImageContext (FictionBook2ParserContext *parentContext, const FictionBook2Style &style)
Public Member Functions inherited from libebook::FictionBook2DataContextBase
| FictionBook2DataContextBase (FictionBook2ParserContext *parentContext)
Public Member Functions inherited from libebook::FictionBook2ParserContext
| FictionBook2ParserContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
| Create a new context with `parentContext` as parent.
FictionBook2XMLParserContext * | leaveContext () const override
| Destroy this context and return parent.
FictionBook2Collector * | getCollector () const
| Get the collector.
FictionBook2ParserContext * | getParentContext () const
| Get the parent context.
Public Member Functions inherited from libebook::FictionBook2XMLParserContext
virtual | ~FictionBook2XMLParserContext ()=0

## Private Member Functions
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
void | endOfAttributes () override
| Signalize the end of attributes.
void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value) override
| Process an attribute.

## Private Attributes
const FictionBook2Style & | m_style
std::string | m_href
std::string | m_altText
bool | m_valid

## Constructor & Destructor Documentation

## ◆ FictionBook2InlineImageContext()

libebook::FictionBook2InlineImageContext::FictionBook2InlineImageContext | ( | FictionBook2ParserContext * | parentContext,
|  | const FictionBook2Style & | style
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libebook::FictionBook2InlineImageContext::attribute | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData * | ns,
|  | const char * | value
| ) |  |
| override private virtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfAttributes()

void libebook::FictionBook2InlineImageContext::endOfAttributes | ( |  | ) |
| override private virtual

Signalize the end of attributes.

Reimplemented from libebook::FictionBook2DataContextBase.

## ◆ endOfElement()

void libebook::FictionBook2InlineImageContext::endOfElement | ( |  | ) |
| override private virtual

Signalize the end of an element.

Implements libebook::FictionBook2XMLParserContext.

## ◆ startOfElement()

void libebook::FictionBook2InlineImageContext::startOfElement | ( |  | ) |
| override private virtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Reimplemented from libebook::FictionBook2DataContextBase.

## Member Data Documentation

## ◆ m_altText

std::string libebook::FictionBook2InlineImageContext::m_altText
| private

Referenced by attribute(), and endOfElement().

## ◆ m_href

std::string libebook::FictionBook2InlineImageContext::m_href
| private

Referenced by attribute(), and endOfElement().

## ◆ m_style

const FictionBook2Style& libebook::FictionBook2InlineImageContext::m_style
| private

Referenced by endOfElement().

## ◆ m_valid

bool libebook::FictionBook2InlineImageContext::m_valid
| private

Referenced by attribute(), and endOfElement().

The documentation for this class was generated from the following files:

- FictionBook2TextContext.h
- FictionBook2TextContext.cpp